#!/usr/bin/make

# mixed.mak Version 0.1.0 - Compile mixed.c
# Copyright (C) 2002  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

OBJ=mixed.o \
	initrnd.o \
	rnd.o \
	rndnum.o \
	rndpwr.o

CC=gcc

mixed:		$(OBJ)
	$(CC) $(OBJ) -o mixed

mixed.o:	mixed.c
	$(CC) -c mixed.c

initrnd.o:	initrnd.c
	$(CC) -c initrnd.c

rnd.o:		rnd.s
	$(CC) -c rnd.s

rndnum.o:	rndnum.s
	$(CC) -c rndnum.s

rndpwr.o:	rndpwr.s
	$(CC) -c rndpwr.s

clean:
	rm -f $(OBJ) mixed
